Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 257)
@@ -2,5 +2,8 @@
 ! Daily update of leaf area index etc.
 !
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/slowproc.f90,v 1.48 2010/04/20 14:12:04 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/slowproc.f90 $
+!< $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 45 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -54,4 +57,5 @@
   LOGICAL, SAVE                                   :: old_lai = .FALSE.         ! Old Lai Map interpolation
   LOGICAL, SAVE                                   :: impveg = .FALSE.
+  LOGICAL, SAVE                                   :: impsoilt = .FALSE.
   LOGICAL, SAVE                                   :: old_veget = .FALSE.         ! Old veget Map interpolation
   !
@@ -143,5 +147,5 @@
     LOGICAL, PARAMETER                                 :: check = .FALSE.
 
-    REAL(r_std), SAVE                                       :: sec_old = 0.
+    REAL(r_std), SAVE                                       :: sec_old = zero
     !
     ! do initialisation
@@ -299,5 +303,5 @@
     ! Test each day and assert all slow processes (days and years)
     !
-    IF ( sec_old >= one_day - dtradia .AND.  sec >= 0. ) THEN
+    IF ( sec_old >= one_day - dtradia .AND.  sec >= zero ) THEN
        !
        ! reset counter
@@ -510,8 +514,6 @@
     LOGICAL, PARAMETER                                 :: check = .FALSE.
     !
-    ! DS 15032011 add for replacing SUM(veget_max(ji,nvm-1:nvm 
+    ! DS 15032011 add for replacing SUM(veget_max(ji,nvm-1:nvm)) 
     REAL(r_std)    :: sum_veget_max
-    !
-
 
     !
@@ -582,5 +584,5 @@
     !Config        only done once a day.
     !
-    CALL setvar_p (day_counter, val_exp, 'SECHIBA_DAY', 0.0_r_std)
+    CALL setvar_p (day_counter, val_exp, 'SECHIBA_DAY', zero)
     !
     !Config Key  = LAI_MAP
@@ -733,4 +735,7 @@
        CALL restget_p (rest_id, var_name, nbp_glo, nvm, 12, kjit, .TRUE., laimap)
        !
+    ELSE
+       !
+       ALLOCATE (laimap(1,1,1))
     ENDIF
     !
@@ -806,5 +811,5 @@
     !Config  Key  = DT_SLOW
     !Config  Desc = Time step of STOMATE and other slow processes
-    !Config  Def  = 86400.
+    !Config  Def  = one_day
     !Config  Help = Time step (s) of regular update of vegetation
     !Config         cover, LAI etc. This is also the time step
@@ -905,23 +910,42 @@
        CALL setvar_p (lai, val_exp, 'SECHIBA_LAI', llaimax)
 
- 
-       !Config Key  = SOIL_FRACTIONS
-       !Config Desc = Fraction of the 3 soil types (0-dim mode)
-       !Config Def  = 0.28, 0.52, 0.20
+       !
+       !Config Key  = IMPOSE_SOILT
+       !Config Desc = Should the soil typ be prescribed
+       !Config Def  = n
        !Config If   = IMPOSE_VEG
-       !Config Help = Determines the fraction for the 3 soil types
-       !Config        in the mesh in the following order : sand loam and clay.
-       !
-       CALL setvar_p (soiltype, val_exp, 'SOIL_FRACTIONS', soiltype_default)
-
-
-       !Config Key  = CLAY_FRACTION
-       !Config Desc = Fraction of the clay fraction (0-dim mode)
-       !Config Def  = 0.2
-       !Config If   = IMPOSE_VEG
-       !Config Help = Determines the fraction of clay in the grid box.
-       !
-       CALL setvar_p (clayfraction, val_exp, 'CLAY_FRACTION', clayfraction_default)
-
+       !Config Help = This flag allows the user to impose a soil type distribution.
+       !Config        It is espacially interesting for 0D
+       !Config        simulations. On the globe it does not make too much sense as
+       !Config        it imposes the same soil everywhere
+       !
+       impsoilt = .FALSE.
+       CALL getin_p('IMPOSE_SOILT', impsoilt)
+       IF (impsoilt) THEN
+          !Config Key  = SOIL_FRACTIONS
+          !Config Desc = Fraction of the 3 soil types (0-dim mode)
+          !Config Def  = 0.28, 0.52, 0.20
+          !Config If   = IMPOSE_VEG
+          !Config If   = IMPOSE_SOILT
+          !Config Help = Determines the fraction for the 3 soil types
+          !Config        in the mesh in the following order : sand loam and clay.
+          !
+          CALL setvar_p (soiltype, val_exp, 'SOIL_FRACTIONS', soiltype_default)
+
+          !Config Key  = CLAY_FRACTION
+          !Config Desc = Fraction of the clay fraction (0-dim mode)
+          !Config Def  = 0.2
+          !Config If   = IMPOSE_VEG
+          !Config If   = IMPOSE_SOILT
+          !Config Help = Determines the fraction of clay in the grid box.
+          !
+          CALL setvar_p (clayfraction, val_exp, 'CLAY_FRACTION', clayfraction_default)
+       ELSE
+          IF ( MINVAL(soiltype) .EQ. MAXVAL(soiltype) .AND. MAXVAL(soiltype) .EQ. val_exp .OR.&
+               & MINVAL(clayfraction) .EQ. MAXVAL(clayfraction) .AND. MAXVAL(clayfraction) .EQ. val_exp) THEN
+
+             CALL slowproc_soilt(kjpindex, lalo, neighbours, resolution, contfrac, soiltype, clayfraction)
+          ENDIF
+       ENDIF
        !
        !Config Key  = SLOWPROC_HEIGHT
@@ -1005,5 +1029,5 @@
              ! If restart doesn't contain veget, then it is the first computation
              CALL slowproc_update(kjpindex, lalo, neighbours, resolution, contfrac, &
-                  &               veget_max, frac_nobio, veget_max, frac_nobio, veget_year, init=.TRUE.)
+               &               veget_nextyear, frac_nobio_nextyear, veget_max, frac_nobio, veget_year, init=.TRUE.)
              !
              IF ( control%ok_dgvm  ) THEN
@@ -1172,7 +1196,7 @@
        !
     CASE('MAXR')
-       pref_soil_veg(:,1) = pref_soil_veg_sand
-       pref_soil_veg(:,2) = pref_soil_veg_loan      
-       pref_soil_veg(:,3) = pref_soil_veg_clay
+       pref_soil_veg(:,1) = pref_soil_veg_sand(:)
+       pref_soil_veg(:,2) = pref_soil_veg_loan(:)      
+       pref_soil_veg(:,3) = pref_soil_veg_clay(:)
        !
        ! Current default : equidistribution.
@@ -1365,5 +1389,5 @@
     !
 
-    IF ( ( tau .LT. dt ) .OR. ( dt .LE. 0. ) .OR. ( tau .LE. 0. ) ) THEN
+    IF ( ( tau .LT. dt ) .OR. ( dt .LE. zero ) .OR. ( tau .LE. zero ) ) THEN
        WRITE(numout,*) 'slowproc_long: Problem with time steps'
        WRITE(numout,*) 'dt=',dt
@@ -1411,5 +1435,5 @@
     ! 1.1 Sum up
     !
-    fracsum(:) = 0.
+    fracsum(:) = zero
     DO jv = 1, nnobio
        DO ji = 1, kjpindex
@@ -1477,5 +1501,4 @@
        ENDDO
     ENDDO
-    
     !
     ! 3. if lai of a vegetation type (jv > 1) is small, increase soil part
@@ -1501,8 +1524,8 @@
     ! Ajout Nouveau calcul (stomate-like) 
     DO ji = 1, kjpindex
-       SUMveg = 0.0
+       SUMveg = zero
        veget(ji,1) = veget_max(ji,1)
        DO jv = 2, nvm
-          veget(ji,jv) = veget_max(ji,jv) * ( 1. - exp( - lai(ji,jv) * ext_coeff(jv) ) )
+          veget(ji,jv) = veget_max(ji,jv) * ( un - exp( - lai(ji,jv) * ext_coeff(jv) ) )
           veget(ji,1) = veget(ji,1) + (veget_max(ji,jv) - veget(ji,jv))
           SUMveg = SUMveg + veget(ji,jv)
@@ -1515,5 +1538,4 @@
        ENDIF
     ENDDO
-
     !
     ! 4. Sum up surface fractions and test if the sum is equal to 1
@@ -1523,5 +1545,5 @@
     ! 4.1 Sum up
     !
-    fracsum(:) = 0.
+    fracsum(:) = zero
     DO jv = 1, nnobio
        DO ji = 1, kjpindex
@@ -1599,5 +1621,5 @@
     REAL(r_std), DIMENSION (kjpindex,2), INTENT(in)     :: resolution !! size in x an y of the grid (m)
 
-    REAL(r_std), DIMENSION(kjpindex,nvm,12), INTENT(in) :: laimap     !! LAI lue
+    REAL(r_std), DIMENSION(:,:,:), INTENT(in)           :: laimap     !! LAI lue
     LOGICAL, INTENT(in)                                :: read_lai
     ! 0.2 Output
@@ -1610,5 +1632,5 @@
     ! Test Nathalie. On impose LAI PFT 1 a 0
     ! On boucle sur 2,nvm au lieu de 1,nvm
-    lai(: ,1) = 0.0
+    lai(: ,1) = zero
     DO jv = 2,nvm
 !!$    DO jv = 1,nvm
@@ -1771,5 +1793,5 @@
     !
     WHERE  ( laimaporig(:,:,:) .LT. 0 )
-       laimaporig(:,:,:) = 0.
+       laimaporig(:,:,:) = zero
     ENDWHERE
     !
@@ -1831,5 +1853,5 @@
     ilast = 1
     n_origlai(:) = 0
-    laimap(:,:,:) = 0.    
+    laimap(:,:,:) = zero   
     !
     DO ip=1,ijml
@@ -1943,5 +1965,5 @@
              ! Antartica
              DO jv =1,nvm
-                laimap(ip,jv,:) = 0.
+                laimap(ip,jv,:) = zero
              ENDDO
              !
@@ -1949,5 +1971,5 @@
              ! Artica
              DO jv =1,nvm
-                laimap(ip,jv,:) = 0.
+                laimap(ip,jv,:) = zero
              ENDDO
              !
@@ -1955,5 +1977,5 @@
              ! Greenland
              DO jv =1,nvm
-                laimap(ip,jv,:) = 0.
+                laimap(ip,jv,:) = zero
              ENDDO
              !
@@ -2590,5 +2612,5 @@
        DO ib = 1, nbpt
           idi=1
-          sumf=0.
+          sumf=zero
           DO WHILE ( sub_area(ib,idi) > zero ) 
              ip = sub_index(ib,idi,1)
@@ -2622,6 +2644,5 @@
              IF (PRESENT(init)) THEN
                 IF (init) THEN
-!                   veget_next(ib,:) = (/ 1., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0. /)
-                    veget_next(ib,1) = 1.
+                    veget_next(ib,1) = un
                     veget_next(ib,2:nvm) = zero
                 ELSE
@@ -2658,5 +2679,5 @@
           !
           idi=1
-          sumf=0.
+          sumf=zero
           DO WHILE ( sub_area(ib,idi) > zero ) 
              ip = sub_index(ib,idi,1)
@@ -2763,6 +2784,6 @@
           err=norm-un
           IF (debug) &
-             WRITE(numout,*) "ib ",ib," SUM(veget_next(ib,:)+frac_nobio_next(ib,:))-1., sumf",err,sumf
-          IF (abs(err) > -EPSILON(1._r_std)) THEN
+             WRITE(numout,*) "ib ",ib," SUM(veget_next(ib,:)+frac_nobio_next(ib,:))-un, sumf",err,sumf
+          IF (abs(err) > -EPSILON(un)) THEN
 !MM 1.9.3
 !          IF (abs(err) > 0.) THEN
@@ -2775,6 +2796,6 @@
              err=norm-un
              IF (debug) &
-                  WRITE(numout,*) "ib ",ib," SUM(veget_next(ib,:)+frac_nobio_next(ib,:))-1.",err
-             IF (abs(err) > EPSILON(1._r_std)) THEN
+                  WRITE(numout,*) "ib ",ib," SUM(veget_next(ib,:)+frac_nobio_next(ib,:))-un",err
+             IF (abs(err) > EPSILON(un)) THEN
 !MM 1.9.3
 !             IF (abs(err) > 0.) THEN
@@ -2927,6 +2948,6 @@
        !
        !
-       veget(ib,:) = 0.0
-       frac_nobio (ib,:) = 0.0
+       veget(ib,:) = zero
+       frac_nobio (ib,:) = zero
        !
     ENDDO
@@ -3063,5 +3084,5 @@
         frac_origveg(:,vid) =  REAL(n_origveg(:,vid),r_std) /  REAL(n_found(:),r_std)
       ELSEWHERE
-         frac_origveg(:,vid) = 0.
+         frac_origveg(:,vid) = zero
       ENDWHERE
     ENDDO
@@ -3099,19 +3120,19 @@
           IF ( lalo(ib,1) .LT. -56.0) THEN
              ! Antartica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 70.0) THEN
              ! Artica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 55.0 .AND. lalo(ib,2) .GT. -65.0 .AND. lalo(ib,2) .LT. -20.0) THEN
              ! Greenland
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE
@@ -3144,5 +3165,5 @@
        DO vid = 1, nvm
           IF ( veget(ib,vid) .LT. min_vegfrac ) THEN
-             veget(ib,vid) = 0.0
+             veget(ib,vid) = zero
           ENDIF
        ENDDO
@@ -3346,5 +3367,5 @@
           frac_origveg(:,vid) = n_origveg(:,vid) / n_found(:)
        ELSEWHERE
-          frac_origveg(:,vid) = 0.
+          frac_origveg(:,vid) = zero
        ENDWHERE
     ENDDO
@@ -3382,19 +3403,19 @@
           IF ( lalo(ib,1) .LT. -56.0) THEN
              ! Antartica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 70.0) THEN
              ! Artica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 55.0 .AND. lalo(ib,2) .GT. -65.0 .AND. lalo(ib,2) .LT. -20.0) THEN
              ! Greenland
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE
@@ -3427,5 +3448,5 @@
        DO vid = 1, nvm
           IF ( veget(ib,vid) .LT. min_vegfrac ) THEN
-             veget(ib,vid) = 0.0
+             veget(ib,vid) = zero
           ENDIF
        ENDDO
@@ -3554,6 +3575,6 @@
        !
        !
-       veget(ib,:) = 0.0
-       frac_nobio (ib,:) = 0.0
+       veget(ib,:) = zero
+       frac_nobio (ib,:) = zero
        !
     ENDDO
@@ -3690,5 +3711,5 @@
         frac_origveg(:,vid) =  REAL(n_origveg(:,vid),r_std) /  REAL(n_found(:),r_std)
       ELSEWHERE
-         frac_origveg(:,vid) = 0.
+         frac_origveg(:,vid) = zero
       ENDWHERE
     ENDDO
@@ -3726,19 +3747,19 @@
           IF ( lalo(ib,1) .LT. -56.0) THEN
              ! Antartica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 70.0) THEN
              ! Artica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 55.0 .AND. lalo(ib,2) .GT. -65.0 .AND. lalo(ib,2) .LT. -20.0) THEN
              ! Greenland
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE
@@ -3771,5 +3792,5 @@
        DO vid = 1, nvm
           IF ( veget(ib,vid) .LT. min_vegfrac ) THEN
-             veget(ib,vid) = 0.0
+             veget(ib,vid) = zero
           ENDIF
        ENDDO
@@ -3962,5 +3983,5 @@
           frac_origveg(:,vid) = n_origveg(:,vid) / n_found(:)
        ELSEWHERE
-          frac_origveg(:,vid) = 0.
+          frac_origveg(:,vid) = zero
        ENDWHERE
     ENDDO
@@ -3998,19 +4019,19 @@
           IF ( lalo(ib,1) .LT. -56.0) THEN
              ! Antartica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 70.0) THEN
              ! Artica
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE IF ( lalo(ib,1) .GT. 55.0 .AND. lalo(ib,2) .GT. -65.0 .AND. lalo(ib,2) .LT. -20.0) THEN
              ! Greenland
-             frac_nobio(ib,:) = 0.0
-             frac_nobio(ib,iice) = 1.0
-             veget(ib,:) = 0.0
+             frac_nobio(ib,:) = zero
+             frac_nobio(ib,iice) = un
+             veget(ib,:) = zero
              !
           ELSE
@@ -4043,5 +4064,5 @@
        DO vid = 1, nvm
           IF ( veget(ib,vid) .LT. min_vegfrac ) THEN
-             veget(ib,vid) = 0.0
+             veget(ib,vid) = zero
           ENDIF
        ENDDO
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/thermosoil.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/thermosoil.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/thermosoil.f90	(revision 257)
@@ -3,7 +3,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.15 $, $Date: 2009/01/07 13:39:45 $
+!! @Version : $Revision: 45 $, $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/thermosoil.f90,v 1.15 2009/01/07 13:39:45 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/thermosoil.f90 $
+!< $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 45 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -98,9 +101,9 @@
     REAL(r_std),DIMENSION (kjpindex), INTENT (in)      :: temp_sol_new     !! New soil temperature
     REAL(r_std),DIMENSION (kjpindex), INTENT (in)      :: snow             !! Snow quantity
+    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (in) :: shumdiag         !! Diagnostic of relative humidity
     ! output fields
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: soilcap          !! Soil capacity
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)     :: soilflx          
-    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (in) :: shumdiag         !! Diagnostic of relative humidity
-    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (out):: stempdiag        !! diagnostic temp profile
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)     :: soilcap        !! Soil capacity
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)     :: soilflx          
+    REAL(r_std),DIMENSION (kjpindex,nbdl), INTENT (inout):: stempdiag        !! diagnostic temp profile
 
     REAL(r_std),DIMENSION (kjpindex,ngrnd) :: temp
@@ -645,7 +648,7 @@
     REAL(r_std), DIMENSION (kjpindex), INTENT (out)          :: soilflx           !!
     REAL(r_std), DIMENSION (kjpindex), INTENT (out)          :: z1                !!
-    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(out)     :: pcapa             !!
-    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(out)     :: pcapa_en          !!
-    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(out)     :: pkappa            !!
+    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(inout)     :: pcapa             !!
+    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(inout)     :: pcapa_en          !!
+    REAL(r_std), DIMENSION (kjpindex,ngrnd), INTENT(inout)     :: pkappa            !!
     REAL(r_std), DIMENSION (kjpindex,ngrnd-1), INTENT(out)     :: cgrnd             !!
     REAL(r_std), DIMENSION (kjpindex,ngrnd-1), INTENT(out)     :: dgrnd             !!
@@ -837,5 +840,5 @@
                 lev_prog = prev_prog + dz2(jg)
              ENDIF
-            intfact(jd,jg) = MAX(MIN(lev_diag,lev_prog)-MAX(prev_diag, prev_prog), 0.0)/(lev_diag-prev_diag)
+            intfact(jd,jg) = MAX(MIN(lev_diag,lev_prog)-MAX(prev_diag, prev_prog), zero)/(lev_diag-prev_diag)
             prev_prog = lev_prog
           ENDDO
@@ -857,5 +860,5 @@
     ENDIF
 
-    stempdiag(:,:) = 0.
+    stempdiag(:,:) = zero
     DO jg = 1, ngrnd
       DO jd = 1, nbdl
@@ -907,5 +910,5 @@
                 lev_prog = diaglev(jg)
              ENDIF
-             intfactw(jd,jg) = MAX(MIN(lev_diag,lev_prog)-MAX(prev_diag, prev_prog), 0.0)/(lev_diag-prev_diag)
+             intfactw(jd,jg) = MAX(MIN(lev_diag,lev_prog)-MAX(prev_diag, prev_prog), zero)/(lev_diag-prev_diag)
              prev_prog = lev_prog
           ENDDO
@@ -927,5 +930,5 @@
     ENDIF
 
-    wetdiag(:,:) = 0.
+    wetdiag(:,:) = zero
     DO jg = 1, nbdl
       DO jd = 1, ngrnd
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/watchout.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/watchout.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/watchout.f90	(revision 257)
@@ -3,4 +3,5 @@
   USE defprec
   USE parallel
+  USE constantes
   USE netcdf
 
@@ -10,5 +11,5 @@
 
   LOGICAL,SAVE,PUBLIC             :: ok_watchout = .FALSE.
-  REAL, SAVE,PUBLIC               :: dt_watch = 0.
+  REAL, SAVE,PUBLIC               :: dt_watch = zero
   INTEGER, SAVE,PUBLIC            :: last_action_watch = 0, &
        & last_check_watch = 0
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make	(revision 257)
@@ -1,4 +1,11 @@
 #-
-#- $Id: AA_make,v 1.27 2010/04/06 14:34:32 ssipsl Exp $
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
+#-
+PARALLEL_LIB = $(LIBDIR)/libparallel.a
+SXPARALLEL_LIB = $(PARALLEL_LIB)
+#-Q- sxnec  SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx6nec SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- eshpux SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx8brodie SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
 #-
 PARAM_LIB = $(LIBDIR)/libparameters.a
@@ -9,10 +16,10 @@
 #-Q- sx8brodie SXPARAM_LIB = $(LIBDIR)/libsxparameters.a
 #-
-PARALLEL_LIB = $(LIBDIR)/libparallel.a
-SXPARALLEL_LIB = $(PARALLEL_LIB)
-#-Q- sxnec  SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- sx6nec SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- eshpux SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
-#-Q- sx8brodie SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+ORGLOB_LIB = $(LIBDIR)/liborglob.a
+SXORGLOB_LIB = $(ORGLOB_LIB)
+#-Q- sxnec  SXORGLOB_LIB = $(LIBDIR)/libsxorglob.a
+#-Q- sx6nec SXORGLOB_LIB = $(LIBDIR)/libsxorglob.a
+#-Q- eshpux SXORGLOB_LIB = $(LIBDIR)/libsxorglob.a
+#-Q- sx8brodie SXORGLOB_LIB = $(LIBDIR)/libsxorglob.a
 #-
 MODS1 = stomate_data.f90      \
@@ -52,6 +59,7 @@
 #-
 all:
+	$(M_K) libparallel
 	$(M_K) libparameters
-	$(M_K) libparallel
+	$(M_K) liborglob
 	$(M_K) m_all
 	@echo stomate is OK
@@ -67,9 +75,12 @@
 #-Q- sxnec 	-limit vmemoryuse unlimited
 
+libparallel:
+	(cd ../src_parallel; $(M_K) -f Makefile)
+
 libparameters:
 	(cd ../src_parameters; $(M_K) -f Makefile)
 
-libparallel:
-	(cd ../src_parallel; $(M_K) -f Makefile)
+liborglob:
+	(cd ../src_global; $(M_K) -f Makefile)
 
 $(MODEL_LIB)(%.o): %.f90
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/AA_make.ldef	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 1.9 2008/01/08 11:49:08 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #-
 #---------------------------------------------------------------------
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_constraints.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_constraints.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_stomate/lpj_constraints.f90	(revision 257)
@@ -129,5 +129,5 @@
 
              WHERE ( t2m_min_daily(:) .LT. tmin_crit(j) )
-                adapted(:,j) = 0.
+                adapted(:,j) = zero
              ENDWHERE
 
@@ -135,5 +135,5 @@
              !  ( adapted will approach 1)
 
-             adapted(:,j) = 1. - ( 1. - adapted(:,j) ) * (tau_adapt- dt)/tau_adapt
+             adapted(:,j) = un - ( un - adapted(:,j) ) * (tau_adapt- dt)/tau_adapt
 
           ENDIF
@@ -147,5 +147,5 @@
 
              WHERE ( when_growthinit(:,j) .GT. too_long*one_year )
-                adapted(:,j) = 0.
+                adapted(:,j) = zero
              ENDWHERE
 
@@ -160,5 +160,5 @@
              ! 2.1.3.1 several PFTs (ex: evergreen) don't need vernalization
 
-             regenerate(:,j) = 1.
+             regenerate(:,j) = un
 
           ELSE
@@ -167,5 +167,5 @@
 
              WHERE ( t2m_month(:) .LE. tcm_crit(j) )
-                regenerate(:,j) = 1.
+                regenerate(:,j) = un
              ENDWHERE
 
@@ -181,5 +181,5 @@
 
           WHERE ( regenerate(:,j) .LE. regenerate_min )
-             adapted(:,j) = 0.
+             adapted(:,j) = zero
           ENDWHERE
 
@@ -190,7 +190,7 @@
           !
 
-          adapted(:,j) = 0.
-
-          regenerate(:,j) = 0.
+          adapted(:,j) = zero
+
+          regenerate(:,j) = zero
 
        ENDIF
